package cn.base.conf;

/**
 * AMQ
 * @author linhg
 *
 */
public class Amq extends NodeHome{
	private String host=null;
	private String port=null;
	private String type="tcp";
	public String getHost(){
		return host;
	}
	public void fillField(){
		for(int i=0;i<this.getList().size();i++){
			String name=this.getList().get(i).getName();
			String value=this.getList().get(i).getValue();
			if(name.equalsIgnoreCase("host")==true)this.host=value;
			if(name.equalsIgnoreCase("port")==true)this.port=value;
			if(name.equalsIgnoreCase("type")==true)this.type=value;
		}
	}
	public String getPort(){
		return port;
	}
	public String getType() {
		return type;
	}
}
